Package org.apache.qpid.proton.codec

# Class ListType

java.lang.Object
org.apache.qpid.proton.codec.ListType

All Implemented Interfaces:
  `AMQPType<List>`, `PrimitiveType<List>`

public class ListType extends Object

## Method Summary

Modifier and Type
Method
Description
`Collection<org.apache.qpid.proton.codec.ListType.ListEncoding>`
`getAllEncodings()`
`org.apache.qpid.proton.codec.ListType.ListEncoding`
`getCanonicalEncoding()`
`org.apache.qpid.proton.codec.ListType.ListEncoding`
`getEncoding(List val)`
`Class<List>`
`getTypeClass()`
`final void`
`write(List val)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getTypeClass

public Class<List> getTypeClass()

### getEncoding

public org.apache.qpid.proton.codec.ListType.ListEncoding getEncoding(List val)

### getCanonicalEncoding

public org.apache.qpid.proton.codec.ListType.ListEncoding getCanonicalEncoding()

### getAllEncodings

public Collection<org.apache.qpid.proton.codec.ListType.ListEncoding> getAllEncodings()

### write

public final void write(List val)

Specified by:
  `write` in interface `AMQPType<T>`